# frozen_string_literal: true

newproperty(:address) do
  include EasyType::YamlProperty
  include EasyType::Validators::IPFQDN

  defaultto '127.0.0.1'

  desc <<-DESC
    The url to connect to.

        ldap_server {my_ldap_server:
          ...
          address => '192.168.59.10',
          ...
        }

  DESC

  data_type('Optional[String[1]]')
end
