# frozen_string_literal: true

newproperty(:base) do
  include EasyType::YamlProperty

  defaultto 'dc=example,dc=org'

  desc <<-DESC
    The dc component of all queries done at the LDAP server.

    ldap_server {ldap_server:
      ...
      base => 'dc=example,dc=org',
      ...
    }

  DESC

  data_type('Optional[String[1]]')
end
