# frozen_string_literal: true

newproperty(:password) do
  include EasyType::EncryptedYamlProperty

  defaultto 'password'

  desc <<-DESC
    The password used to connect to the LDAP server.

    ldap_server {ldap_server:
      ...
      password => 'very_secret',
      ...
    }

  DESC

  data_type('Optional[String[1]]')
end
