# frozen_string_literal: true

newproperty(:port) do
  include EasyType::YamlProperty
  include EasyType::Validators::PortNumber

  defaultto 389

  desc <<-DESC
    The port number the LDAP server can be connected on.

        ldap_server {my_ldap_server:
          ...
          port => 389,
          ...
        }

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,9999]]]")

  defaultto(389)
end
