# frozen_string_literal: true

newproperty(:user_dn) do
  include EasyType::YamlProperty

  defaultto 'cn=admin,dc=example,dc=org'

  desc <<-DESC
    The user dn used to connect to the LDAP server and administer its content.

    Here is an example on how to use this:

        ldap_server {my_ldap_server:
          ...
          user_dn => 'cn=admin,dc=example,dc=org',
          ...
        }

  DESC

  data_type('Optional[String[1]]')
end
