# frozen_string_literal: true

require 'puppet_x/enterprisemodules/settings'
require 'puppet_x/enterprisemodules/ldap'
require 'easy_type/encryption'

module PuppetX
  module EnterpriseModules
    # Docs
    module LdapAccess
      include EasyType::Encryption
      PuppetX::EnterpriseModules::Settings::SETTINGS_FILE = '/etc/ldap_server.yaml'

      def self.included(parent)
        parent.extend(self)
        parent.send(:include, PuppetX::EnterpriseModules::Settings)
      end

      def ldap(server = ldap_server)
        settings = configuration.fetch(server) { raise "specified LDAP server #{server} not found." }
        @ldap ||= PuppetX::EnterpriseModules::Ldap.new([settings['address'], settings['port'], settings['user_dn'], decrypted_value(settings['password']), settings['verify_ssl'] == 'yes',
                                                        settings['use_ssl'] == 'yes', settings['base']])
      end
    end
  end
end
